> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/products-and-features/how-to-select-your-proxy-location.md).

# How to select your proxy location

Learn how to configure the location of your proxy by modifying the location parameter in your username.

To change the location of your proxy, modify the location parameter in your username. This ensures your requests are routed through an IP from the selected location.

Depending on your proxy type, you can select different levels of geo-targeting. For a complete list of supported location settings, refer to our [Location Settings FAQ](https://faq.oxylabs.info/en/articles/8832436-location-settings-for-proxies).

### Residential & Mobile Proxies <a href="#h_e4626222e6" id="h_e4626222e6"></a>

Specify a country by using the `cc` parameter in your username. This parameter accepts a two-letter country code (ISO 3166-1 alpha-2 format).

Here, `cc-DE` ensures the request is routed through Germany:

```
curl -x pr.oxylabs.io:7777 -U "customer-USERNAME-cc-DE:PASSWORD" https://ip.oxylabs.io/location 
```

For other countries, replace `DE` with the desired country code (e.g., `cc-FR` for France or `cc-JP` for Japan).

You can use several other geo-targeting settings such as city, state, continent, coordinates and ASN targeting. For more details, refer to:

* [Residential Proxies](/products/proxies/residential-proxies/location-settings.md)
* [Mobile Proxies](/products/proxies/mobile-proxies/location-settings.md)

### Datacenter Proxies <a href="#h_dd1f53e232" id="h_dd1f53e232"></a>

To change the country, modify the `country` parameter in your username.

Here, `country-US` ensures the request is processed through a U.S.-based datacenter IP:

```
curl -x dc.oxylabs.io:8000 -U 'user-USERNAME-country-US:PASSWORD' https://ip.oxylabs.io/location
```

For other countries, replace `country-US` with the desired country code (e.g., `country-FR` for France or `country-JP` for Japan).

For more information on available locations, refer to:

* [Datacenter Proxies](/products/proxies/datacenter-proxies/select-country.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/products-and-features/how-to-select-your-proxy-location.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
